www/p5-CatalystX-Component-Traits - The NetBSD Packages Collection

Automatic Trait Loading and Resolution for Catalyst Components

Adds a "COMPONENT" in Catalyst::Component method to your Catalyst component
base class that reads the optional traits parameter from app and component
config and instantiates the component subclass with those traits using
"new_with_traits" in MooseX::Traits from MooseX::Traits::Pluggable.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

www/p5-Catalyst-Runtime devel/p5-List-MoreUtils devel/p5-Module-Pluggable devel/p5-MooseX-Traits-Pluggable devel/p5-namespace-autoclean lang/perl5 lang/perl5

Available binary packages

aarch64:p5-CatalystX-Component-Traits-0.19nb7.tgz(NetBSD 9.0)
aarch64:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
aarch64:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
alpha:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
alpha:p5-CatalystX-Component-Traits-0.19nb7.tgz(NetBSD 9.0)
alpha:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
earm:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
earm:p5-CatalystX-Component-Traits-0.19nb7.tgz(NetBSD 9.0)
earm:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
earmv6hf:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
earmv6hf:p5-CatalystX-Component-Traits-0.19nb7.tgz(NetBSD 9.0)
earmv6hf:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
earmv6hf:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
earmv7hf:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 8.0)
earmv7hf:p5-CatalystX-Component-Traits-0.19nb7.tgz(NetBSD 8.0)
earmv7hf:p5-CatalystX-Component-Traits-0.19nb7.tgz(NetBSD 8.0)
earmv7hf:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 8.0)
earmv7hf:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
earmv7hf:p5-CatalystX-Component-Traits-0.19nb7.tgz(NetBSD 9.0)
earmv7hf:p5-CatalystX-Component-Traits-0.19nb7.tgz(NetBSD 9.0)
earmv7hf:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
earmv7hf:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
i386:p5-CatalystX-Component-Traits-0.19nb7.tgz(NetBSD 8.0)
i386:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 8.0)
i386:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 8.0)
i386:p5-CatalystX-Component-Traits-0.19nb7.tgz(NetBSD 9.0)
i386:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
i386:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
m68k:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
mips64eb:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
mips64eb:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
powerpc:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 8.0)
powerpc:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 8.0)
powerpc:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
powerpc:p5-CatalystX-Component-Traits-0.19nb7.tgz(NetBSD 9.0)
sh3el:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
sparc64:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
sparc64:p5-CatalystX-Component-Traits-0.19nb7.tgz(NetBSD 9.0)
sparc64:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
sparc:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
sparc:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
x86_64:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
x86_64:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
x86_64:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
x86_64:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
x86_64:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 8.0)
x86_64:p5-CatalystX-Component-Traits-0.19nb7.tgz(NetBSD 8.0)
x86_64:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 8.0)
x86_64:p5-CatalystX-Component-Traits-0.19nb7.tgz(NetBSD 9.0)
x86_64:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
x86_64:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)
x86_64:p5-CatalystX-Component-Traits-0.19nb8.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]